## kalendar 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kalendar VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.96.0")
set(PIM_VERSION "5.21.0")

include(FeatureSummary)

################# set KDE specific information #################
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMCoverageOption)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
include(ECMGenerateQmlTypes)
include(ECMQmlModule)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KALENDAR
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/config-kalendar.h"
)

################# Find dependencies #################
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Svg
    Test
    Qml
    QuickControls2
    QuickTest
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CalendarCore
    ConfigWidgets
    Contacts
    CoreAddons
    DBusAddons
    I18n
    IconThemes
    ItemModels
    Kirigami2
    KIO
    QQC2DesktopStyle
    WindowSystem
    XmlGui
)
find_package(Gpgme REQUIRED)
set_package_properties(KF5QQC2DesktopStyle PROPERTIES
    TYPE RUNTIME
)
find_package(KF5 ${PIM_VERSION} REQUIRED COMPONENTS
    Akonadi
    AkonadiCalendar
    AkonadiContact
    CalendarSupport
    EventViews
    MailCommon
    PimCommonAkonadi
)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DUNITY_CMAKE_SUPPORT)
endif()

################# build and install #################

ki18n_install(po)

ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)
add_definitions(-DQT_STRICT_ITERATORS)
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if (BUILD_FLATPAK)
    install(PROGRAMS org.kde.kalendar.desktop DESTINATION ${KDE_INSTALL_APPDIR} RENAME org.kde.kontact.kalendar.desktop)
else()
    install(PROGRAMS org.kde.kalendar.desktop DESTINATION ${KDE_INSTALL_APPDIR})
endif()
install(FILES org.kde.kalendar.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kalendar.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ecm_qt_install_logging_categories(
        EXPORT KALENDAR
        FILE kalendar.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2022 Claudio Cambra <claudio.cambra@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause


include(ECMMarkAsTest)
include(ECMAddTests)

set( KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE )

enable_testing(true)

include_directories(${kalendar_CURRENT_BINARY_DIR})
include_directories(${kalendar_BINARY_DIR})
include_directories(${kalendar_BINARY_DIR}/src)

set (commonAkonadiTest_LIBS
    Qt::Test
    Qt::Core
    KF5::ConfigCore
    KF5::CalendarCore
    KF5::CalendarSupport
    KF5::AkonadiCore
    KF5::AkonadiCalendar
    KF5::EventViews
)

set(filterTest_SRCS
    filtertest.cpp
    ../src/filter.cpp
)

set(incidenceOccurrenceModelTest_SRCS
    incidenceoccurrencemodeltest.cpp
    ../src/models/incidenceoccurrencemodel.cpp
    ../src/filter.cpp
)

set(todoSortFilterProxyModelTest_SRCS
    todosortfilterproxymodeltest.cpp
    ../src/models/todosortfilterproxymodel.cpp
    ../src/filter.cpp
)

ecm_qt_declare_logging_category(incidenceOccurrenceModelTest_SRCS HEADER kalendar_debug.h IDENTIFIER KALENDAR_LOG CATEGORY_NAME org.kde.kalendar DESCRIPTION "kalendar" EXPORT KALENDAR)

add_executable(filtertest ${filterTest_SRCS})
add_test(NAME filtertest COMMAND filtertest)
ecm_mark_as_test(filtertest)
target_link_libraries(filtertest ${commonAkonadiTest_LIBS})

# the tests need the ical resource, which we might not have at this point (e.g. on the CI)
find_program(AKONADI_ICAL_RESOURCE NAMES akonadi_ical_resource)
if (UNIX)
    add_akonadi_isolated_test_advanced(incidenceoccurrencemodeltest.cpp "${incidenceOccurrenceModelTest_SRCS}" "${commonAkonadiTest_LIBS}")
    add_akonadi_isolated_test_advanced(todosortfilterproxymodeltest.cpp "${todoSortFilterProxyModelTest_SRCS}" "${commonAkonadiTest_LIBS}")
endif()

=== src/contacts/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(kalendar_contact_plugin URI "org.kde.kalendar.contact" VERSION 1.0)

target_sources(kalendar_contact_plugin PRIVATE
    contactplugin.cpp
    contactplugin.h
    addresseewrapper.cpp
    addresseewrapper.h
    addressmodel.cpp
    addressmodel.h
    phonemodel.h
    phonemodel.cpp
    emailmodel.h
    emailmodel.cpp
    globalcontactmodel.cpp
    globalcontactmodel.h
    contactmanager.h
    contactmanager.cpp
    contactcollectionmodel.cpp
    contactcollectionmodel.h
    contacteditorbackend.h
    contacteditorbackend.cpp
    contactgroupeditor.h
    contactgroupeditor.cpp
    contactgroupwrapper.h
    contactgroupwrapper.cpp
    contactgroupmodel.h
    contactgroupmodel.cpp
    contactmetadata.cpp
    contactmetadata.h
    contactsmodel.cpp
    contactsmodel.h
    attributes/contactmetadataattribute_p.h
    attributes/contactmetadataattribute.cpp
    attributes/attributeregistrar.cpp
    resources.qrc
)

kconfig_add_kcfg_files(kalendar_contact_plugin GENERATE_MOC contactconfig.kcfgc)

ecm_target_qml_sources(kalendar_contact_plugin SOURCES
    qml/ContactChooserPage.qml
    qml/ContactView.qml
    qml/AddressBookCollectionHandler.qml
)

ecm_target_qml_sources(kalendar_contact_plugin
    PRIVATE PATH private SOURCES
    qml/private/ContactPage.qml
    qml/private/ContactEditorPage.qml
    qml/private/ContactGroupPage.qml
    qml/private/ContactGroupEditorPage.qml
    qml/private/ContactsPage.qml
    qml/private/ContactListItem.qml
    qml/private/Header.qml
    qml/private/PhoneNumberDialog.qml
    qml/private/QrCodePage.qml
    qml/private/AddressBookMenu.qml
    qml/private/DeleteContactAction.qml
)

ecm_qt_declare_logging_category(kalendar_contact_plugin
    HEADER kalendar_contact_debug.h
    IDENTIFIER KALENDAR_LOG
    CATEGORY_NAME org.kde.kalendar.contact
    DESCRIPTION "kalendar contact"
    EXPORT KALENDAR
)

target_link_libraries(kalendar_contact_plugin PRIVATE kalendar_lib)

ecm_qt_install_logging_categories(
    EXPORT KALENDAR
    FILE kalendar.contact.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_subdirectory(applet)

ecm_finalize_qml_module(kalendar_contact_plugin
    DESTINATION ${KDE_INSTALL_QMLDIR}
    BUILD_SHARED_LIBS OFF)

=== src/mail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(mime/tests)
    add_subdirectory(mimetreeparser/autotests)
    add_subdirectory(mimetreeparser/tests)
endif()

set(kalendar_mail_SRCS
    mailmanager.cpp
    mailmanager.h
    mailmodel.cpp
    mailmodel.h
    helper.h
    helper.cpp
    contactimageprovider.cpp
    contactimageprovider.h

    messagestatus.h
    messagestatus.cpp

    crypto.cpp
    mimetreeparser/messagepart.cpp
    mimetreeparser/bodypartformatter.cpp
    mimetreeparser/bodypartformatter_impl.cpp
    mimetreeparser/bodypartformatterbasefactory.cpp
    mimetreeparser/bodypartformatterbasefactory.cpp
    mimetreeparser/cryptohelper.cpp
    mimetreeparser/messagepart.cpp
    mimetreeparser/mimetreeparser_debug.cpp
    mimetreeparser/objecttreeparser.cpp
    mimetreeparser/utils.cpp
    mime/attachmentmodel.cpp
    mime/htmlutils.cpp
    mime/mailcrypto.cpp
    mime/mailtemplates.cpp
    mime/messageparser.cpp
    mime/partmodel.cpp
)

ecm_qt_declare_logging_category(kalendar_mail_SRCS
    HEADER kalendar_mail_debug.h
    IDENTIFIER "KALENDAR_MAIL_LOG"
    CATEGORY_NAME org.kde.kalendar.mail
    DESCRIPTION "kalendar mail"
    EXPORT KALENDAR
)

ecm_qt_export_logging_category(
    IDENTIFIER "KALENDAR_MAIL_LOG"
    CATEGORY_NAME "org.kde.kalendar.mail"
    DESCRIPTION "Kalendar - mail"
    EXPORT KALENDAR
)

add_library(kalendar_mail_static STATIC ${kalendar_mail_SRCS})
target_link_libraries(kalendar_mail_static PUBLIC kalendar_lib KF5::MailCommon KF5::AkonadiMime)

ecm_add_qml_module(kalendar_mail_plugin URI "org.kde.kalendar.mail" VERSION 1.0)

target_sources(kalendar_mail_plugin PRIVATE
    mailplugin.cpp
    mailplugin.h
)

ecm_target_qml_sources(kalendar_mail_plugin SOURCES
    qml/MailSidebar.qml
    qml/FolderView.qml
    qml/MailViewer.qml
    qml/ConversationViewer.qml
)
ecm_target_qml_sources(kalendar_mail_plugin
    PRIVATE PATH private SOURCES
    qml/private/AttachmentDelegate.qml
    qml/private/MailDelegate.qml
)

ecm_target_qml_sources(kalendar_mail_plugin
    PRIVATE PATH mailboxselector SOURCES
    qml/mailboxselector/MailBoxList.qml
    qml/mailboxselector/MailBoxListPage.qml
)

ecm_target_qml_sources(kalendar_mail_plugin
    PRIVATE PATH mailpartview SOURCES
    qml/mailpartview/HtmlPart.qml
    qml/mailpartview/ICalPart.qml
    qml/mailpartview/MailPart.qml
    qml/mailpartview/MailPartModel.qml
    qml/mailpartview/MailPartView.qml
    qml/mailpartview/TextPart.qml
)

target_link_libraries(kalendar_mail_plugin PUBLIC kalendar_mail_static)

ecm_finalize_qml_module(kalendar_mail_plugin
    DESTINATION ${KDE_INSTALL_QMLDIR}
    BUILD_SHARED_LIBS OFF)

=== src/contacts/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_library(kalendar_contact STATIC
    ../addresseewrapper.cpp
    ../addresseewrapper.h
    ../addressmodel.cpp
    ../addressmodel.h
    ../emailmodel.h
    ../emailmodel.cpp
    ../phonemodel.h
    ../phonemodel.cpp
    ../globalcontactmodel.cpp
    ../globalcontactmodel.h
    ../contactmanager.h
    ../contactmanager.cpp
    ../contactcollectionmodel.cpp
    ../contactcollectionmodel.h
)

target_include_directories(kalendar_contact INTERFACE "$<INSTALL_INTERFACE:${KALENDAR_CONTACT_INCLUDE_INSTALL_DIR}>")

target_link_libraries(kalendar_contact PRIVATE kalendar_lib)

ecm_qt_declare_logging_category(kalendar_contact
    HEADER kalendar_contact_debug.h
    IDENTIFIER KALENDAR_LOG
    CATEGORY_NAME org.kde.kalendar.contact
    DESCRIPTION "kalendar contact"
    EXPORT KALENDAR
)

ecm_add_test(emailmodeltest.cpp
    TEST_NAME emailmodeltest
    LINK_LIBRARIES kalendar_contact kalendar_lib Qt::Test
    NAME_PREFIX "kalendar-contact-"
)

=== src/mail/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-3-Clause

include(${CMAKE_SOURCE_DIR}/cmake/modules/add_gpg_crypto_test.cmake)

add_executable(cryptotest cryptotest.cpp)
target_include_directories(cryptotest PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GPGME_INCLUDE_DIRS}
)
add_gpg_crypto_test(cryptotest cryptotest)
target_link_libraries(cryptotest
    Qt::Test
    kalendar_mail_static
)

## kalendar 22.08.1

=== debian/changelog ===
kalendar (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:52 +0100

kalendar (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:04 +0100

kalendar (22.04.3-1ubuntu2) kinetic; urgency=medium

  * Add qml-module-qt-labs-qmlmodels as required runtime dependency.
    (LP: #1987422)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Aug 2022 18:00:42 +0100

kalendar (22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 20:10:13 +0100

kalendar (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.
  * Recommend kalendarac.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:59:18 +0200

kalendar (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:26 +0100

kalendar (22.04.2-4) unstable; urgency=medium

  * Team upload.
  * Add the qml-module-org-kde-kirigami2 dependency, as Kirigami is used.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable a couple more tests.
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2022 06:21:53 +0200

kalendar (22.04.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump B-Ds to KDE PIM 22.04.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Jun 2022 12:47:41 +0200

kalendar (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:04:04 +0200

kalendar (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:23 +0200

kalendar (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)
  * Only build for amd64, arm64 and armhf. Critical runtime dependency
    kdepim-runtime is only available for these architectures.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:13 +0100

kalendar (22.04.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1011385).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 May 2022 23:08:18 +0200

=== debian/control ===
Source: kalendar
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               kirigami2-dev (>= 5.91.0~),
               libkf5akonadi-dev (>= 4:22.08.1~),
               libkf5akonadicontact-dev (>= 4:22.08.1~),
               libkf5calendarcore-dev (>= 5:5.91.0~),
               libkf5calendarsupport-dev (>= 4:22.08.1~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5contacts-dev (>= 5:5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5eventviews-dev (>= 4:22.08.1~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev (>= 5.91.0~),
               libkf5itemmodels-dev (>= 5.91.0~),
               libkf5qqc2desktopstyle-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/kalendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalendar.git
Rules-Requires-Root: no

Package: kalendar
Architecture: amd64 arm64 armhf
Depends: akonadi-server,
         kdepim-runtime,
         qml-module-org-kde-kirigami2,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kalendarac
Description: Calendar application
 Kalendar is a Kirigami-based calendar and task management application that
 uses Akonadi. It lets you add, edit and delete events and tasks from local
 and remote accounts  of your choice, while keeping changes synchronised
 across your Plasma desktop or phone.

## kalendar 22.12.0

=== debian/changelog ===
kalendar (22.12.0-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing runtime dependencies.

 -- Patrick Franz <deltaone@debian.org>  Mon, 23 Jan 2023 21:00:03 +0100

kalendar (22.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit build to architectures where the Qt 5 WebEngine is available
    as libkf5webengineviewer-dev is a hard dependency now.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Jan 2023 20:40:18 +0100

kalendar (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:38 +0100

kalendar (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:06:39 +0100

kalendar (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:36 +0100

kalendar (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:25 +0200

kalendar (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:11:21 +0200

kalendar (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:47:19 +0200

=== debian/control ===
Source: kalendar
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.96.0~),
               gettext,
               kirigami2-dev (>= 5.96.0~),
               libgpgme-dev,
               libkf5akonadi-dev (>= 4:22.12.0~),
               libkf5akonadicalendar-dev (>= 4:22.12.0~),
               libkf5akonadicontact-dev (>= 4:22.12.0~),
               libkf5calendarcore-dev (>= 5:5.96.0~),
               libkf5calendarsupport-dev (>= 4:22.12.0~),
               libkf5configwidgets-dev (>= 5.96.0~),
               libkf5contacts-dev (>= 5:5.96.0~),
               libkf5coreaddons-dev (>= 5.96.0~),
               libkf5dbusaddons-dev (>= 5.96.0~),
               libkf5eventviews-dev (>= 4:22.12.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5iconthemes-dev (>= 5.96.0~),
               libkf5itemmodels-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libkf5mailcommon-dev (>= 4:22.12.0~),
               libkf5pimcommon-dev (>= 4:22.12.0~),
               libkf5plasma-dev (>= 5.96.0~),
               libkf5qqc2desktopstyle-dev (>= 5.96.0~),
               libkf5templateparser-dev (>= 4:22.12.0~),
               libkf5webengineviewer-dev (>= 4:22.12.0~),
               libkf5windowsystem-dev (>= 5.96.0~),
               libkf5xmlgui-dev (>= 5.96.0~),
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kalendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalendar.git
Rules-Requires-Root: no

Package: kalendar
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: akonadi-server,
         kdepim-runtime,
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kirigami2,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kalendarac
Description: Calendar application
 Kalendar is a Kirigami-based calendar and task management application that
 uses Akonadi. It lets you add, edit and delete events and tasks from local
 and remote accounts  of your choice, while keeping changes synchronised
 across your Plasma desktop or phone.

## kalendar 22.12.3

=== debian/changelog ===
kalendar (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:34:06 +0100

kalendar (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -10,26 +10,26 @@
                gettext,
                kirigami2-dev (>= 5.96.0~),
                libgpgme-dev,
-               libkf5akonadi-dev (>= 4:22.12.0~),
-               libkf5akonadicalendar-dev (>= 4:22.12.0~),
-               libkf5akonadicontact-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
+               libkf5akonadicalendar-dev (>= 4:22.12.3~),
+               libkf5akonadicontact-dev (>= 4:22.12.3~),
                libkf5calendarcore-dev (>= 5:5.96.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.0~),
+               libkf5calendarsupport-dev (>= 4:22.12.3~),
                libkf5configwidgets-dev (>= 5.96.0~),
                libkf5contacts-dev (>= 5:5.96.0~),
                libkf5coreaddons-dev (>= 5.96.0~),
                libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5eventviews-dev (>= 4:22.12.0~),
+               libkf5eventviews-dev (>= 4:22.12.3~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.96.0~),
                libkf5itemmodels-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
-               libkf5mailcommon-dev (>= 4:22.12.0~),
-               libkf5pimcommon-dev (>= 4:22.12.0~),
+               libkf5mailcommon-dev (>= 4:22.12.3~),
+               libkf5pimcommon-dev (>= 4:22.12.3~),
                libkf5plasma-dev (>= 5.96.0~),
                libkf5qqc2desktopstyle-dev (>= 5.96.0~),
-               libkf5templateparser-dev (>= 4:22.12.0~),
-               libkf5webengineviewer-dev (>= 4:22.12.0~),
+               libkf5templateparser-dev (>= 4:22.12.3~),
+               libkf5webengineviewer-dev (>= 4:22.12.3~),
                libkf5windowsystem-dev (>= 5.96.0~),
                libkf5xmlgui-dev (>= 5.96.0~),
                libqt5svg5-dev (>= 5.15.2~),
@@ -53,7 +53,7 @@
          qml-module-qtpositioning,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kalendarac
+Recommends: kalendarac,
 Description: Calendar application
  Kalendar is a Kirigami-based calendar and task management application that
  uses Akonadi. It lets you add, edit and delete events and tasks from local

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_test:

## kalendar 23.04.1

=== debian/changelog ===
kalendar (23.04.1-0xneon+22.04+jammy+release+build38) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 19 May 2023 09:12:07 +0000

kalendar (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 20:12:08 +0000

kalendar (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:40:24 +0000

kalendar (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:15:18 +0000

kalendar (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:20:41 +0000

kalendar (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:43:56 +0000

kalendar (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:58:22 +0000

kalendar (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:30:13 +0000

kalendar (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:50:54 +0000

kalendar (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:49:29 +0000

kalendar (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Feb 2022 20:12:06 +0000

kalendar (1.0.1~neon-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Feb 2022 20:12:06 +0000

kalendar (0.4.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 26 Dec 2021 08:52:28 +0000

kalendar (0.3.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Dec 2021 20:12:06 +0000

kalendar (0.3.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Dec 2021 20:12:13 +0000

=== debian/control ===
Source: kalendar
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.86.0~),
               kirigami-addons-dev,
               kirigami2-dev (>= 5.86.0~),
               libgpgme-dev,
               libgpgmepp-dev,
               libkf5akonadi-dev (>= 4:21.08.0~),
               libkf5akonadicalendar-bin,
               libkf5akonadicontact-dev,
               libkf5calendarcore-dev (>= 5:5.86.0~),
               libkf5calendarsupport-dev (>= 4:21.08.0~),
               libkf5configwidgets-dev (>= 5.86.0~),
               libkf5contacts-dev (>= 5:5.86.0~),
               libkf5coreaddons-dev (>= 5.86.0~),
               libkf5dbusaddons-dev (>= 5.86.0~),
               libkf5eventviews-dev (>= 4:21.08.0~),
               libkf5i18n-dev (>= 5.86.0~),
               libkf5iconthemes-dev (>= 5.86.0~),
               libkf5itemmodels-dev (>= 5.86.0~),
               libkf5ktextaddons-dev,
               libkf5mailcommon-dev,
               libkf5messagecomposer-dev,
               libkf5mime-dev,
               libkf5notifications-dev (>= 5.86.0~),
               libkf5pimcommon-dev,
               libkf5plasma-dev,
               libkf5qqc2desktopstyle-dev,
               libkf5service-dev (>= 5.86.0~),
               libkf5templateparser-dev,
               libkf5webengineviewer-dev,
               libkf5windowsystem-dev (>= 5.86.0~),
               libkf5xmlgui-dev (>= 5.86.0~),
               libqgpgme-dev,
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtlocation5-dev (>= 5.15.2~),
               qtpositioning5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/kde/kalendar
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kalendar.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kalendar
Maintainer: Neon CI <neon@kde.org>

Package: kalendar
Architecture: any
Depends: akonadi-server,
         kdepim-runtime,
         libkf5akonadicalendar-bin,
         qml-module-org-kde-kirigami-addons-datetime,
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kirigamiaddons,
         qml-module-org-kde-kitemmodels,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         qml-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Calendar app
 Calendar application that allows you to manage your tasks and
 events. Kalendar supports both local calendars as well as a multitude
 of online calendars: Nextcloud, Google® Calendar, Outlook®, Caldav,
 and many more.

## kalendar 23.04.3

=== debian/changelog ===
kalendar (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:43:21 +0100

kalendar (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update build depends:
    - add kirigami-addons-dev
    - add libkf5textaddons-dev
    - add libkf5plasma-dev
  * Update lintian overrides
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:58:58 +0100

kalendar (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:35:09 +0000

kalendar (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:12:07 -0600

kalendar (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:25:24 +0000

kalendar (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:06:05 +0000

kalendar (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:02:29 +0000

kalendar (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:38:53 +0000

kalendar (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:06:06 +0000

=== debian/control ===
Source: kalendar
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.96.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev (>= 5.96.0~),
               libgpgme-dev,
               libkf5akonadi-dev (>= 4:23.04.3~),
               libkf5akonadicalendar-dev (>= 4:23.04.3~),
               libkf5akonadicontact-dev (>= 4:23.04.3~),
               libkf5calendarcore-dev (>= 5:5.96.0~),
               libkf5calendarsupport-dev (>= 4:23.04.3~),
               libkf5configwidgets-dev (>= 5.96.0~),
               libkf5contacts-dev (>= 5:5.96.0~),
               libkf5coreaddons-dev (>= 5.96.0~),
               libkf5dbusaddons-dev (>= 5.96.0~),
               libkf5eventviews-dev (>= 4:23.04.3~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5iconthemes-dev (>= 5.96.0~),
               libkf5itemmodels-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libkf5mailcommon-dev (>= 4:23.04.3~),
               libkf5pimcommon-dev (>= 4:23.04.3~),
               libkf5plasma-dev,
               libkf5qqc2desktopstyle-dev (>= 5.96.0~),
               libkf5templateparser-dev (>= 4:23.04.3~),
               libkf5textaddons-dev,
               libkf5webengineviewer-dev (>= 4:23.04.3~),
               libkf5windowsystem-dev (>= 5.96.0~),
               libkf5xmlgui-dev (>= 5.96.0~),
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/kalendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalendar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalendar
Rules-Requires-Root: no

Package: kalendar
Architecture: amd64 arm64 armhf
Depends: akonadi-server,
         kdepim-runtime,
         qml-module-org-kde-kirigami2,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kalendarac
Description: Calendar application
 Kalendar is a Kirigami-based calendar and task management application that
 uses Akonadi. It lets you add, edit and delete events and tasks from local
 and remote accounts  of your choice, while keeping changes synchronised
 across your Plasma desktop or phone.

## kalendar 23.07.90

=== debian/changelog ===
kalendar (23.07.90-0ubuntu2) mantic; urgency=medium

  * Add extra kirigami-addons qml module depends.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Aug 2023 11:25:33 +0100

kalendar (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:04 +0100

=== debian/control ===
--- 
+++ 
@@ -12,27 +12,27 @@
                kirigami-addons-dev,
                kirigami2-dev (>= 5.96.0~),
                libgpgme-dev,
-               libkf5akonadi-dev (>= 4:23.04.3~),
-               libkf5akonadicalendar-dev (>= 4:23.04.3~),
-               libkf5akonadicontact-dev (>= 4:23.04.3~),
+               libkf5akonadi-dev (>= 4:23.07.90~),
+               libkf5akonadicalendar-dev (>= 4:23.07.90~),
+               libkf5akonadicontact-dev (>= 4:23.07.90~),
                libkf5calendarcore-dev (>= 5:5.96.0~),
-               libkf5calendarsupport-dev (>= 4:23.04.3~),
+               libkf5calendarsupport-dev (>= 4:23.07.90~),
                libkf5configwidgets-dev (>= 5.96.0~),
                libkf5contacts-dev (>= 5:5.96.0~),
                libkf5coreaddons-dev (>= 5.96.0~),
                libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5eventviews-dev (>= 4:23.04.3~),
+               libkf5eventviews-dev (>= 4:23.07.90~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.96.0~),
                libkf5itemmodels-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
-               libkf5mailcommon-dev (>= 4:23.04.3~),
-               libkf5pimcommon-dev (>= 4:23.04.3~),
+               libkf5mailcommon-dev (>= 4:23.07.90~),
+               libkf5pimcommon-dev (>= 4:23.07.90~),
                libkf5plasma-dev,
                libkf5qqc2desktopstyle-dev (>= 5.96.0~),
-               libkf5templateparser-dev (>= 4:23.04.3~),
+               libkf5templateparser-dev (>= 4:23.07.90~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.04.3~),
+               libkf5webengineviewer-dev (>= 4:23.07.90~),
                libkf5windowsystem-dev (>= 5.96.0~),
                libkf5xmlgui-dev (>= 5.96.0~),
                libqt5svg5-dev (>= 5.15.2~),
